# WOK
TKWOK
WOKAPI

# WOKAPI_File Class Reference

`#include <WOKAPI_File.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKAPI_File ()
Standard_EXPORT WOKAPI_Entity | NestingEntity () const
Standard_EXPORT Handle_TCollection_HAsciiString | Type () const
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT Handle_TCollection_HAsciiString | LocatorName () const
Standard_EXPORT Handle_TCollection_HAsciiString | UserPath () const
Standard_EXPORT Standard_Boolean | Exists () const
Standard_EXPORT Standard_Boolean | IsLocalTo (const WOKAPI_Entity &aent) const
Standard_EXPORT Standard_Boolean | IsFile () const
Standard_EXPORT Standard_Boolean | IsDirectory () const
Standard_EXPORT Standard_Boolean | IsValid () const
Standard_EXPORT Standard_Boolean | IsLocated () const
Standard_EXPORT Standard_Boolean | IsDBMSDependent () const
Standard_EXPORT Standard_Boolean | IsStationDependent () const
Standard_EXPORT Handle_TCollection_HAsciiString | Path () const
Standard_EXPORT void | Locate (const WOKAPI_Locator &alocator)
Standard_EXPORT void | Located ()
Standard_EXPORT void | UnLocated ()

## Private Member Functions

Standard_EXPORT void | Set (const Handle(WOKernel_File)&afile)

## Private Attributes

Handle_WOKernel_File | myfile
Standard_Boolean | mylocated

## Constructor & Destructor Documentation

Standard_EXPORT WOKAPI_File::WOKAPI_File | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean WOKAPI_File::Exists | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKAPI_File::IsDBMSDependent | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKAPI_File::IsDirectory | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKAPI_File::IsFile | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKAPI_File::IsLocalTo | ( | const WOKAPI_Entity & | aent | ) | const

Standard_EXPORT Standard_Boolean WOKAPI_File::IsLocated | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKAPI_File::IsStationDependent | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKAPI_File::IsValid | ( |  | ) | const

Standard_EXPORT void WOKAPI_File::Locate | ( | const WOKAPI_Locator & | alocator | ) |

Standard_EXPORT void WOKAPI_File::Located | ( |  | ) |

Standard_EXPORT Handle_TCollection_HAsciiString WOKAPI_File::LocatorName | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKAPI_File::Name | ( |  | ) | const

Standard_EXPORT WOKAPI_Entity WOKAPI_File::NestingEntity | ( |  | ) | const

void WOKAPI_File::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKAPI_File::operator new | ( | size_t | size | ) | `[inline]`

void* WOKAPI_File::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_TCollection_HAsciiString WOKAPI_File::Path | ( |  | ) | const

Standard_EXPORT void WOKAPI_File::Set | ( | const Handle(WOKernel_File)& | afile | ) | `[private]`

Standard_EXPORT Handle_TCollection_HAsciiString WOKAPI_File::Type | ( |  | ) | const

Standard_EXPORT void WOKAPI_File::UnLocated | ( |  | ) |

Standard_EXPORT Handle_TCollection_HAsciiString WOKAPI_File::UserPath | ( |  | ) | const

## Field Documentation

Handle_WOKernel_File WOKAPI_File::myfile `[private]`

Standard_Boolean WOKAPI_File::mylocated `[private]`

The documentation for this class was generated from the following file:

- WOKAPI_File.hxx